#include "guess.h"
#include <bits/stdc++.h>
using namespace std;
int find_number(int MAX)
{
    int st = 1, dr = MAX, ans = MAX + 1;
    while(st <= dr)
    {
        int mij = (st + dr) / 2;
        if(smaller(mij))
        {
            ans = mij;
            dr = mij - 1;
        }
        else
            st = mij + 1;
    }
    return ans - 1;
}

